<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<c:set var="multiCentre" value="${bookingComponent.multiCentre}"/>
<c:choose>
		<c:when test="${multiCentre eq true}">
		  <c:set var="url" value="${bookingComponent.breadCrumbTrail['CENTRESELECTION']}"/>
		</c:when>
		   <c:otherwise>
	     	<c:set var="url" value="${bookingComponent.breadCrumbTrail['ITINERARY & SHIP']}"/>
		</c:otherwise>
</c:choose>

									<div class="component">
                                <c:set var="bookingConditions" value="${bookingInfo.bookingComponent.termsAndCondition}" />
					                <c:forEach var="links" items="${bookingInfo.bookingComponent.nonPaymentData}" varStatus="status">
                                        <c:if test="${links.key eq 'PrivacyPolicy'}">
                                            <c:set var="privacyPolicy" value="${links.value}" />

                                        </c:if>
                                        <c:if test="${links.key eq 'SpecialNeeds'}">
                                      <c:set var="specialNeeds" value="${links.value}" />
                                        </c:if>
                                    </c:forEach>
										<div class="section-heading bf-first">
											<h2 class="icon-v2 icon-TUI_Insurance dark-blue">
												<span class="tui-font marg-left-20">Terms &amp; Conditions</span>
											</h2>
										</div>
										<div class="term-conditions-details grey-med row tnc">
											<p class="marg-bottom-20">
												Please note that all members of your party must have valid passports and any applicable visas before travelling. Visit the <a href="JavaScript:newPopup('https://www.gov.uk/browse/abroad')" ;=""  class="size-15">Foreign Office website</a> for a visa and travel advice.
											</p>
											<p class="marg-bottom-20">
											For information summarising terms and provisions relating to the carriage of passengers and their luggage by sea 1974, please view the <a href="JavaScript:newPopup('https://www.thomson.co.uk/editorial/legal/Cruise/athens-convention.html')" ;="">Athens Convention Notice</a>.
											</p>
											<p>
												If you've got special requirements, please call us on <%=com.tui.uk.config.ConfReader.getConfEntry("tAndC.call.value" ,"")%> before booking.
											</p>
											<p class="marg-bottom-20">
												Please see the <a href="JavaScript:newPopup('http://www.thomson.co.uk/editorial/legal/montreal-convention.html');">Air Passenger Notice</a> for a summary of the liability rules applied by community air carriers, as required by community legislation and the Montreal Convention.
											</p>
											<p class="marg-bottom-20">
												This booking is authorised under the ATOL licence of TUI UK Limited, ATOL 2524, and is protected under the ATOL scheme, as set out in the ATOL certificate to be supplied.
											</p>

											<!-- Note: no shadow at the bottom of this component, when it contains a link -->
											<div class="select-block bg-light-blue b lowercase size-15 grey-dark more-pad-left marg-top-20">
												<!-- Note for js: span.hit-area is clickable -->
												<input hidden="true" type="checkbox" style="display:none;" name="agreeTermAndCondition" id="tourOperatorTermsAccepted" gfv_required="required" value="false" chkit="yes" >
												<span class="hit-area">

													<span class="radio check confirm"></span>
												</span>
												<span class="terms-text">
												I have read and accept the <a href="JavaScript:newPopup('${bookingConditions.relativeTAndCUrl}')">booking conditions</a><!-- , <a href="JavaScript:newPopup('${privacyPolicy}');">privacy policy</a> --> and important information.</span>
											</div>
										</div>
											<!-- Data protection notice -->

	<div class="modal" id="data-protection">
		<div class="window">
			<div class="title b">Data Protection Notice <span class="close" data-modal-id="data-protection" onclick="closeModal(this);">y</span></div>
			<div class="modal-content">
				<div class="container cb">
					<p class="grey-med marg-bottom-10">We'd like to contact you from time to time with details of offers, goods and services, new products,
					and events and competitions we think will be of interest to you.</p>

					<p class="grey-med marg-bottom-10">If you'd prefer not to get these, you can opt out:</p>
					<div class="select-block b lowercase grey-dark size-15">
					<input hidden="true" class="checkBoxRef" type="checkbox" name="communicateByEmail"
					id="communicate_selection_email"
					<c:if test="${bookingInfo.bookingComponent.nonPaymentData['communicateByEmail'] eq true}"> checked </c:if>/>
						<span class="radio check" id="radio1" name="radio1"></span>
						I don't want to receive emails or SMS with details of offers, goods and services, new products, or events and competitions.
					</div>
					<div class="select-block activeX b lowercase grey-dark size-15">
					<input hidden="true" class="checkBoxRef" type="checkbox" name="communicateByPhone" id="communicate_selection_phone"
					<c:if test="${bookingInfo.bookingComponent.nonPaymentData['communicateByPhone'] eq true}"> checked </c:if>/>
						<span class="radio check" id="radio2" name="radio2" ></span>
						I don't want to be contacted by telephone with details of offers, goods and services, new products, or events and competitions.
					</div>
					<div class="select-block b lowercase grey-dark size-15 marg-bottom-10">
					<input hidden="true" class="checkBoxRef" type="checkbox" name="communicateByPost"
					id="communicate_selection_post"
					<c:if test="${bookingInfo.bookingComponent.nonPaymentData['communicateByPost'] eq true}"> checked </c:if>/>
						<span class="radio check" id="radio3" name="radio3"></span>
						I don't want to receive information by post of offers, goods and services, new products, or events and competitions.
					</div>

					<div class="c marg-bottom-10">
						<a href="javascript:void(0);" class="book-flow button light-blue halfs fl" data-modal-id="data-protection" onclick="closeModal(this);">Cancel</a>
						<a href="javascript:void(0);" class="book-flow button halfs fl" data-modal-id="data-protection" onclick="dataProSubmit();closeModal(this);">OK</a>
					</div>
				</div>
			</div>
		</div>
	</div>

	</div>

		<div class="modal in" style="display:none" id = "sessionTimeOut">
		<div class="window mini auto-height">
			<div class="modal-content no-radius">
					<span class="timeout-close-btn" >
						<a href="${url}" class="icon-v2 icon-TUI_Close timeout-close-btnIcon"></a>
					</span>
				<h2 class="time-out-title">sorry, this page has timed out.</h2>
				<div class="timeout-text">
					<p class="grey-med marg-bottom-15">
						Unfortunately, this page has timed out due to security reasons. Don't worry, we're not going to make you start over again, but we do need you to re-enter your details on this page. If you don't want to continue you can go to
							<a href="#" onclick="homepage()">homepage</a>.
					</p>
				</div>
				<div class="back-to-home">
			        <c:choose>
					<c:when test="${multiCentre eq true}">
							<a href="${url}" class="book-flow button large cta">Back to holiday</a>
					</c:when>
					<c:otherwise>
							<a href="${url}" class="book-flow button large cta">Back to Booking</a>
					</c:otherwise>
			        </c:choose>
				</div>
			</div>
		</div>
		</div>
		<div class="modal in" style="display:none" id = "sessionTime">
		<div class="window mini auto-height">

				<div class="page-timeout-img-content">
					<a class="page-timeout-close-btn" href="#" ><span onClick="closesessionTime()" class="icon-v2 icon-TUI_Close page-timeout-close-btnIcon"></span></a>
					<div class="page-timeout-section">
						<p class="page-timeout-clock">
							<span class="icon-v2 icon-TUI_Clock page-timeout-close-btnIcon"></span>
						</p>
						<p class="page-timeout-sec">timeout in</p>
						<p id="sessiontimeDisplay" class="page-timeout-min">10 MINS</p>
					</div>
				</div>
			<div class="page-timeout-description">
				<h2 class="page-time-out-title">are you still there?</h2>
				<div class="page-timeout-text">
					<p class="grey-med">
						This page will be timing out for security reasons. Let us know that you're still here, otherwise you'll have to re-enter your details.
					</p>
				</div>
				<div class="page-timeout-back-to-home">
						<a href="#" class="book-flow button large cta" onClick="activestate()">yes i'm still here</a>
			</div>
			</div>
			</div>
	</div>

	<div class="book-flow modal" id="loader-screens">
			<div class="window">
			<div class="sk-fading-circle">
  <div class="sk-circle1 sk-circle"></div>
  <div class="sk-circle2 sk-circle"></div>
  <div class="sk-circle3 sk-circle"></div>
  <div class="sk-circle4 sk-circle"></div>
  <div class="sk-circle5 sk-circle"></div>
  <div class="sk-circle6 sk-circle"></div>
  <div class="sk-circle7 sk-circle"></div>
  <div class="sk-circle8 sk-circle"></div>
  <div class="sk-circle9 sk-circle"></div>
  <div class="sk-circle10 sk-circle"></div>
  <div class="sk-circle11 sk-circle"></div>
  <div class="sk-circle12 sk-circle"></div>
</div>
			</div>
		</div>